### Constructor

# Clapper Mpris new

#### Declaration [src]

    ClapperMpris*
    clapper_mpris_new (
      const gchar* own_name,
      const gchar* identity,
      const gchar* desktop_entry
    )

#### Description [src]

Creates a new `ClapperMpris` instance.

#### Parameters

`own_name`

  Type: `const gchar*`

  An unique DBus name with “org.mpris.MediaPlayer2.” prefix.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`identity`

  Type: `const gchar*`

  A media player friendly name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`desktop_entry`

  Type: `const gchar*`

  Desktop file basename (without “.desktop” extension).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClapperMpris`

A new `ClapperMpris` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.